List filings across the market
curl --request GET \
--url https://api.rangler.co/v1/filings \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.rangler.co/v1/filings"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.rangler.co/v1/filings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject_kind": "company",
"subject_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filing_type": "results",
"title": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"url": "<string>",
"has_tables": true,
"source_title": "<string>",
"period": "<string>",
"filing_family_key": "<string>",
"superseded_by_filing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"superseded_at": "2023-11-07T05:31:56Z",
"superseded_reason": "<string>",
"badge": {
"key": "<string>",
"label": "<string>",
"color": "<string>"
},
"signal": {
"summary": "<string>",
"confidence": 123,
"extracted_at": "2023-11-07T05:31:56Z",
"key_points": [
"<string>"
],
"mentioned_tickers": [
"<string>"
],
"dates_mentioned": [
"<string>"
],
"risk_flags": [
"<string>"
],
"corporate_actions": [
"<string>"
],
"board_changes": [
"<string>"
],
"metrics": [
{
"name": "<string>",
"value": "<string>",
"unit": "<string>",
"period": "<string>"
}
],
"corporate_action_details": [
{
"action_type": "<string>",
"summary": "<string>",
"transaction_type": "<string>",
"amount": "<string>",
"currency": "<string>",
"ratio": "<string>",
"quantity": "<string>",
"record_date": "<string>",
"payment_date": "<string>",
"effective_date": "<string>",
"person_name": "<string>",
"role": "<string>",
"holding_after": "<string>"
}
],
"board_change_details": [
{
"person_name": "<string>",
"action": "<string>",
"role": "<string>",
"effective_date": "<string>"
}
],
"reporting_period": "<string>",
"result_details": {
"revenue": "<string>",
"profit_before_tax": "<string>",
"profit_after_tax": "<string>",
"earnings_per_share": "<string>",
"dividend_per_share": "<string>",
"dividend_currency": "<string>",
"record_date": "<string>",
"payment_date": "<string>",
"period_end_date": "<string>",
"period_type": "<string>",
"currency": "<string>",
"value_scale": "<string>",
"revenue_value": 123,
"cost_of_sales": 123,
"gross_profit": 123,
"operating_profit": 123,
"ebitda": 123,
"profit_before_tax_value": 123,
"profit_after_tax_value": 123,
"earnings_per_share_value": 123,
"total_assets": 123,
"total_liabilities": 123,
"total_equity": 123,
"cash_and_equivalents": 123,
"dividend_per_share_value": 123,
"net_asset_per_share": 123,
"dividend_payout_ratio": 123,
"employee_count": 123,
"personnel_expenses": 123,
"capital_expenditure": 123,
"operating_cash_flow": 123,
"interest_income": 123,
"interest_expense": 123,
"net_interest_income": 123,
"non_interest_income": 123,
"operating_income": 123,
"loans_and_advances": 123,
"customer_deposits": 123,
"investment_securities": 123,
"long_term_debt": 123,
"net_interest_margin": 123,
"cost_to_income_ratio": 123,
"non_performing_loan_ratio": 123,
"return_on_assets": 123,
"return_on_equity": 123,
"financial_leverage": 123,
"capital_adequacy_ratio": 123,
"gross_margin": 123,
"operating_margin": 123,
"pbt_margin": 123,
"pat_margin": 123,
"fcf_margin": 123,
"revenue_growth": 123,
"free_cash_flow": 123,
"gearing_ratio": 123,
"debt_to_asset": 123,
"interest_coverage_ebit": 123,
"interest_coverage_ocf": 123,
"asset_turnover": 123,
"capex_intensity": 123,
"nwc_ratio": 123,
"ocf_conversion": 123,
"price_to_earnings": 123,
"price_to_book": 123,
"revenue_segments": []
},
"director_dealings": [],
"highlights": []
},
"company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"ticker": "<string>",
"sector": "<string>",
"logo_url": "<string>"
},
"subject": {
"kind": "company",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"ticker": "<string>",
"slug": "<string>",
"category": "<string>"
},
"subjects": [
{
"kind": "company",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"ticker": "<string>",
"slug": "<string>",
"category": "<string>"
}
]
}
],
"next_cursor": "<string>"
}{
"error": {
"type": "unauthorized",
"code": "unauthorized",
"message": "Authentication required.",
"request_id": "28fa6152-7081-492e-8a7e-00beb237b689"
}
}{
"error": {
"type": "forbidden",
"code": "forbidden",
"message": "Paid access is required.",
"request_id": "5c253b3e-778e-4a58-aaf8-07cb21e03563"
}
}{
"error": {
"type": "validation_error",
"code": "validation_error",
"message": "Request validation failed",
"request_id": "c5964dca-d290-4465-a3dc-f92d42aa9b17",
"details": [
{
"type": "missing",
"loc": [
"query",
"ticker"
],
"msg": "Field required",
"input": null
}
]
}
}{
"error": {
"type": "rate_limit_exceeded",
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded",
"request_id": "cc4d369a-2c69-4ee2-909e-985ea35d14a9"
}
}{
"error": {
"type": "internal_server_error",
"code": "internal_server_error",
"message": "Internal Server Error",
"request_id": "70b63aba-b8a3-41c2-bb0c-fbe67d84d37d"
}
}Filings
List filings across the market
List filings across companies and other supported market subjects.
GET
/
v1
/
filings
List filings across the market
curl --request GET \
--url https://api.rangler.co/v1/filings \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.rangler.co/v1/filings"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.rangler.co/v1/filings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject_kind": "company",
"subject_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filing_type": "results",
"title": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"url": "<string>",
"has_tables": true,
"source_title": "<string>",
"period": "<string>",
"filing_family_key": "<string>",
"superseded_by_filing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"superseded_at": "2023-11-07T05:31:56Z",
"superseded_reason": "<string>",
"badge": {
"key": "<string>",
"label": "<string>",
"color": "<string>"
},
"signal": {
"summary": "<string>",
"confidence": 123,
"extracted_at": "2023-11-07T05:31:56Z",
"key_points": [
"<string>"
],
"mentioned_tickers": [
"<string>"
],
"dates_mentioned": [
"<string>"
],
"risk_flags": [
"<string>"
],
"corporate_actions": [
"<string>"
],
"board_changes": [
"<string>"
],
"metrics": [
{
"name": "<string>",
"value": "<string>",
"unit": "<string>",
"period": "<string>"
}
],
"corporate_action_details": [
{
"action_type": "<string>",
"summary": "<string>",
"transaction_type": "<string>",
"amount": "<string>",
"currency": "<string>",
"ratio": "<string>",
"quantity": "<string>",
"record_date": "<string>",
"payment_date": "<string>",
"effective_date": "<string>",
"person_name": "<string>",
"role": "<string>",
"holding_after": "<string>"
}
],
"board_change_details": [
{
"person_name": "<string>",
"action": "<string>",
"role": "<string>",
"effective_date": "<string>"
}
],
"reporting_period": "<string>",
"result_details": {
"revenue": "<string>",
"profit_before_tax": "<string>",
"profit_after_tax": "<string>",
"earnings_per_share": "<string>",
"dividend_per_share": "<string>",
"dividend_currency": "<string>",
"record_date": "<string>",
"payment_date": "<string>",
"period_end_date": "<string>",
"period_type": "<string>",
"currency": "<string>",
"value_scale": "<string>",
"revenue_value": 123,
"cost_of_sales": 123,
"gross_profit": 123,
"operating_profit": 123,
"ebitda": 123,
"profit_before_tax_value": 123,
"profit_after_tax_value": 123,
"earnings_per_share_value": 123,
"total_assets": 123,
"total_liabilities": 123,
"total_equity": 123,
"cash_and_equivalents": 123,
"dividend_per_share_value": 123,
"net_asset_per_share": 123,
"dividend_payout_ratio": 123,
"employee_count": 123,
"personnel_expenses": 123,
"capital_expenditure": 123,
"operating_cash_flow": 123,
"interest_income": 123,
"interest_expense": 123,
"net_interest_income": 123,
"non_interest_income": 123,
"operating_income": 123,
"loans_and_advances": 123,
"customer_deposits": 123,
"investment_securities": 123,
"long_term_debt": 123,
"net_interest_margin": 123,
"cost_to_income_ratio": 123,
"non_performing_loan_ratio": 123,
"return_on_assets": 123,
"return_on_equity": 123,
"financial_leverage": 123,
"capital_adequacy_ratio": 123,
"gross_margin": 123,
"operating_margin": 123,
"pbt_margin": 123,
"pat_margin": 123,
"fcf_margin": 123,
"revenue_growth": 123,
"free_cash_flow": 123,
"gearing_ratio": 123,
"debt_to_asset": 123,
"interest_coverage_ebit": 123,
"interest_coverage_ocf": 123,
"asset_turnover": 123,
"capex_intensity": 123,
"nwc_ratio": 123,
"ocf_conversion": 123,
"price_to_earnings": 123,
"price_to_book": 123,
"revenue_segments": []
},
"director_dealings": [],
"highlights": []
},
"company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"ticker": "<string>",
"sector": "<string>",
"logo_url": "<string>"
},
"subject": {
"kind": "company",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"ticker": "<string>",
"slug": "<string>",
"category": "<string>"
},
"subjects": [
{
"kind": "company",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"ticker": "<string>",
"slug": "<string>",
"category": "<string>"
}
]
}
],
"next_cursor": "<string>"
}{
"error": {
"type": "unauthorized",
"code": "unauthorized",
"message": "Authentication required.",
"request_id": "28fa6152-7081-492e-8a7e-00beb237b689"
}
}{
"error": {
"type": "forbidden",
"code": "forbidden",
"message": "Paid access is required.",
"request_id": "5c253b3e-778e-4a58-aaf8-07cb21e03563"
}
}{
"error": {
"type": "validation_error",
"code": "validation_error",
"message": "Request validation failed",
"request_id": "c5964dca-d290-4465-a3dc-f92d42aa9b17",
"details": [
{
"type": "missing",
"loc": [
"query",
"ticker"
],
"msg": "Field required",
"input": null
}
]
}
}{
"error": {
"type": "rate_limit_exceeded",
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded",
"request_id": "cc4d369a-2c69-4ee2-909e-985ea35d14a9"
}
}{
"error": {
"type": "internal_server_error",
"code": "internal_server_error",
"message": "Internal Server Error",
"request_id": "70b63aba-b8a3-41c2-bb0c-fbe67d84d37d"
}
}Authorizations
Query Parameters
Search by filing title excerpt
Filter by a company that is the filing's issuer or another linked subject
Filter by filing_type
Available options:
results, full_financials, corporate_action, board_change, director_dealing, sustainability, other Only filings that have an extracted signal
Required range:
1 <= x <= 100Filter by ISO 3166-1 alpha-2 market country code